<% java.util.ResourceBundle resourceBundle = (java.util.ResourceBundle) request.getAttribute("resBundle");%>
<% request.setAttribute("title", resourceBundle.getString("GUIHomeMainTitle")); %>

<jsp:include page='includes/header_Css.jsp'/>
		
		<script language="javascript">
			<jsp:include page='includes/home_functions.jsp'/>
		
			
			<% 
				boolean isSearch    = request.getParameter("todo") != null 
				                   && request.getParameter("todo").equals("search");	
			%>
		</script>
	</head>
	
	<jsp:include page='includes/header_Titel.jsp'/>
	
	<%@page import="java.util.HashMap"%>
	<%@page import="model.Note"%>
	
	<jsp:include page='includes/header_Navi.jsp'/>
	<jsp:include page='includes/header_BeforeBody.jsp'/>
	
	<%
		Note note = (Note) session.getAttribute("actualNote");
	%>
	
	<body>
		<h5><%
			if (request.getAttribute("errorMap") != null) {
				if (((HashMap) request.getAttribute("errorMap")).get("createSearchErr") != null) {
					 out.println(((HashMap) request.getAttribute("errorMap")).get("createSearchErr"));
				}
			} 
		%></h5>
		<form action="." name="home" method="POST">
			<input type="hidden" name="cmd"    value="homeInput"/>
			<input type="hidden" name="action" value="create"/>
			
			<table border='0' width="650">
				<tr>
					<td><b><%= resourceBundle.getString("GUIHomeTitle") %></b></td>
					<td><b><%= resourceBundle.getString("GUIHomeKeyWord") %></b></td>
					<td><b><%= resourceBundle.getString("GUIHomeCategory") %></b></td>
				</tr>
				
				<tr>
					<td>
						<input type="text" name="title" maxlength="50"
						<% if (note != null && note.getTitle() != null) {
							out.print(" value='"+ note.getTitle() +"' ");
						   }
							if (request.getAttribute("errorMap") != null) {
								if (((HashMap) request.getAttribute("errorMap")).get("title") != null) {
									out.println("style=' border-color: red; border-width: 1pt; border-style: solid;' ");
								}
							}
						%>
						/>
					</td>
					<td>
						<input type="text" name="keyword" maxlength="50"
							<% if (note != null && note.getKeyword() != null) {
							   	out.print(" value='"+ note.getKeyword() +"' ");
							   }%>
						/>
					</td>
					<td>
						<select name="categoryList" size="1">
							<%
							if(request.getAttribute("categoryList") != null){
							 	for(model.Category categoryName:(java.util.ArrayList<model.Category>)(request.getAttribute("categoryList"))){ %>
									<option value="<%= categoryName.getDbID() %>"><%= categoryName.getName() %></option>
							<%}}%>
						</select>
					</td>
				</tr>
				
				<tr>
					<td id="authorTitle">
						<b><%= resourceBundle.getString("GUIHomeAuthor") %></b>
					</td>
				</tr>
				
				<tr>
					<td id="authorField">
						<input type="text" name="author">
					</td>
					<td></td>
					<td id="allCategoriesField"><input type="checkbox" name="checkAllCategories" onclick="allCategories()"/><%= resourceBundle.getString("GUIHomeCheckCategories") %></td>
				</tr>
				
				<tr>
					<td id="dateFromTitle">
						<b><%= resourceBundle.getString("GUIHomeDateFrom") %></b>
					</td>
					<td id="dateToTitle">
						<b><%= resourceBundle.getString("GUIHomeDateTo") %></b>
					</td>
				</tr>
				
				<tr>
					<td id="dateFromField">
						<input type="text" name="dateFromField" value="yyyy-MM-dd">
					</td>
					<td id="dateToField">
						<input type="text" name="dateToField" value="yyyy-MM-dd">
					</td>
				</tr>
				
				<tr>
					<td colspan="3">
						<b><%= resourceBundle.getString("GUIHomeNote") %></b>
					</td>
				</tr>
				
				<tr>
					<td colspan="3">
						<textarea name="fullText" cols="44" rows="4" value=""<%
								if (request.getAttribute("errorMap") != null) {
									if (((HashMap) request.getAttribute("errorMap")).get("text") != null) {
										out.println("style=' border-color: red; border-width: 1pt; border-style: solid;' ");
									}
								} 
						%>></textarea>
					</td>
				</tr>
				
				<tr>
					<td>
						<input type="radio" id="radioCreate" name="createorsearch" 
						<% if(!isSearch){ %>
							checked="checked";
						<% } %> 
						   onclick="hideElements()"><%= resourceBundle.getString("GUIHomeRadioButtonCreate")%>
					</td>
				</tr>
				
				<tr>
					<td><input type="radio" id="radioSearch" name="createorsearch" 
						<% if(isSearch){ %> 
							checked="checked";  
						<% } %> 
						   onclick="showElements()" /><%= resourceBundle.getString("GUIHomeRadioButtonSearch")%>
					</td>
				</tr>
			</table>

			<input type="submit" id="submit"        value="<%= resourceBundle.getString("GUIHomeButtonCreate")%>" onclick="changeHidden()"/>
			<input type="reset"  id="reset"         value="<%= resourceBundle.getString("GUIHomeButtonReset")%>" onclick="radioButtonSearch()"/>
			<input type="hidden" name="version"     value="1"/>
			<input type="hidden" name="DBID"        value="0"/>
			<input type="hidden" name="ishomeinput" value="0"/>
		</form>			
		
		<script language="javascript">
			<% if(isSearch){ %>
				showElements();  
			<% }else{ %>
				hideElements();
			<% 	} %>
		</script>

<jsp:include page='includes/footer.jsp'/>