<%@page import="model.*, 
				 controller.*,
				 java.util.Iterator,
				 java.util.Collection,
				 java.util.ArrayList"
		%>
		
<% java.util.ResourceBundle resourceBundle = (java.util.ResourceBundle) request.getAttribute("resBundle");%>
<% request.setAttribute("title", resourceBundle.getString("GUIsrnMainTitle")); %>

<jsp:include page='includes/header.jsp'/>
	
	<jsp:useBean id="res" scope="application" class="gui.Resources" /> 
      
		
		
		<% 
			ArrayList<Note> notes = (ArrayList<Note>) request.getAttribute("searchResult"); 
		%>
			
		<form action="." method="POST">
			
			<input type="hidden"                name="cmd"           value="homeInput" />
			<input type="hidden"                name="action"        value="search" />
			<input type="submit" class="button" name="refreshbutton" value="<%= resourceBundle.getString("GUIsrnRefresh")%>" />
			Anzahl Treffer <%= notes.size() %>
		</form>
		
			<table border="0" width='100%'>
				<tr>
					<td width="200"><b><%= resourceBundle.getString("GUIsrnTitle")%></b></td>
					<td width="200"><b><%= resourceBundle.getString("GUIsrnKeywords")%></b></td>
					<td width="150"><b><%= resourceBundle.getString("GUIsrnCategory")%></b></td>
					<td width="150"><b><%= resourceBundle.getString("GUIsrnAuthor")%></b></td>
					<td width="170"><b><%= resourceBundle.getString("GUIsrnChangeDate")%></b></td>
					<td width="70"  style="TEXT-ALIGN: center"><b><%= resourceBundle.getString("GUIsrnOpen")%></b></td>
					<td width="70"  style="TEXT-ALIGN: center"><b><%= resourceBundle.getString("GUIsrnDelete")%></b></td>
				</tr>
				
				<tr>
					<td colspan="7">
						<hr class="resultTable" />
					</td>
				</tr>
				
				<%
					Iterator it = notes.iterator();
					int i = 0;
					while(it.hasNext()){
						i++;
						Note note = (Note) it.next();
				%>
				
				<tr>
					<!--<td><input type="radio" name="select"></td>-->
					<td>
						<%if(note.getTitle() != null) {
							 if (note.getTitle().length() > 40) {
							 	out.print(note.getTitle().substring(0,40) +"...");
							 } else {
							 	out.print(note.getTitle());
							 }
						  }%>&nbsp;
					</td>
					<td>
						<%if(note.getKeyword() != null) {
							 if (note.getKeyword().length() > 15) {
							 	out.print(note.getKeyword().substring(0,15) +"...");
							 } else {
							 	out.print(note.getKeyword());
							 }
						  } %>&nbsp;
					</td>
					<td>
						<%
							Collection<Category> myCollection =(Collection<Category>)(request.getSession().getAttribute("categoryList"));
							String catName = note.getSingleCategoryName(myCollection);
							out.print(catName);
						   %>&nbsp;
					</td>
					<td>
						<%= note.getAuthor() %>&nbsp;
					</td>
					<td>
						<%= note.getDateStringShort() %>&nbsp;
					</td>
					
					<form action="" method="POST">
						<td style="TEXT-ALIGN: center">
							<input type="image" src="./jsp/img/open.png" alt="<%= resourceBundle.getString("GUIsrnOpenIcon")%>" title="<%= resourceBundle.getString("GUIsrnOpenIconDo")%>">
						</td>
						<input type="hidden" name="cmd" 			value="showNote" />
						<input type="hidden" name="issearchresult"  value="true" />
						<input type="hidden" name="DBID" 			value="<%= note.getDBID() %>">
						<input type="hidden" name="versionID" 		value="<%= note.getVersionID() %>">
					</form>
					
					<form action="" method="POST">
						<td style="TEXT-ALIGN: center">
							<input type="image" src="./jsp/img/delete.png" alt="<%= resourceBundle.getString("GUIsrnDeleteIcon")%>" title="<%= resourceBundle.getString("GUIsrnDeleteIconDo")%>" >
						</td>
						<input type="hidden" name="DBID" 			value="<%= note.getDBID() %>">
						<input type="hidden" name="cmd"  			value="deleteNote" />
					</form>
				</tr>
				<tr>
					<td colspan="7"><hr class="resultTable" /></td>
				</tr>
				<% } %><!-- Ende der While-Schleife -->
			</table>
			
			<% 			
				if (i == 0) {
					out.print("--> Keine Daten vorhanden");
				}
			%>
			
<jsp:include page='includes/footer.jsp'/>