<%@page import="model.Note"%>
<%@page import="java.util.Collection"%>
<%@page import="model.Category"%>

<% java.util.ResourceBundle resourceBundle = (java.util.ResourceBundle) request.getAttribute("resBundle");%>
<% request.setAttribute("title", resourceBundle.getString("GUIShowNoteMainTitle")); %>

<jsp:include page='includes/header.jsp'/>

	<%
		Note note = (Note) session.getAttribute("actualNote");
		if(note != null){
			Collection<Category> myCollection =(Collection<Category>)(request.getSession().getAttribute("categoryList"));
			String catName = note.getSingleCategoryName(myCollection);
	%>
		<table border="0" width="50%">
			<tr>
				<td><b><%= resourceBundle.getString("GUIShowNoteTitle")%></b></td>
				<td><b><%= resourceBundle.getString("GUIShowNoteCategory")%></b></td>
				<td><b><%= resourceBundle.getString("GUIShowNoteCreateDate")%></b></td>
			</tr>
			
			<tr>
				<td><input type="text" class="showNote" name="title" value="<%=note.getTitle()%>" disabled="disabled"></td>
				<td><input type="text" class="showNote" name="category" value="<%= catName %>" disabled="disabled"></td>
				<td><input type="text" class="showNote" name="createDate" value="<%=note.getDateString()%>" disabled="disabled"></td>
			</tr>
			<tr>
				<td><b><%= resourceBundle.getString("GUIShowNoteAuthor")%></b></td>
				<td><b><%= resourceBundle.getString("GUIShowNoteVersion")%></b></td>
				<td><b><%= resourceBundle.getString("GUIShowNoteKeyword")%></b></td>
			</tr>
			<tr>
				<td><input type="text" class="showNote" name="author" value="<%=note.getAuthor()%>" disabled="disabled"></td>
				<td><input type="text" class="showNote" name="version" value="<%=note.getVersionID()%>" disabled="disabled"></td>
				<td><input type="text" class="showNote" name="keyword" value="<%=note.getKeyword()%>" disabled="disabled"></td>
			</tr>
			<tr>
				<td><b><%= resourceBundle.getString("GUIShowNoteNote")%></b></td>
			</tr>
			<tr>
				<td colspan="3">
					<textarea class="showNote" name="note" cols="66" rows="3" disabled="disabled"><%
						if (note.getFullText() != null) {
						 	out.print(note.getFullText());
						} %>
					</textarea>
				</td>
			</tr>
		</table>

		<table border='0'>
			<tr>
				<td>
					<form action="" method="POST">
						<input type="hidden"                name="cmd"    value="editNote" />	
						<input type="submit" class="button" name="change" value="<%= resourceBundle.getString("GUIShowNoteButtonChange")%>">
					</form>
				</td>
				<td>
					<form action="" method="POST">	
						<input type="hidden"                name="cmd"    value="deleteNote" />
						<input type="hidden"                name="DBID"   value="<%=note.getDBID()%>" />		
						<input type="submit" class="button" name="delete" value="<%= resourceBundle.getString("GUIShowNoteButtonDelete")%>">
					</form>
				</td>
			<% if(session.getAttribute("searchCriteria") != null) { %>
				<td>
					<form action="" method="POST">
						<input type="hidden"                name="cmd"           value="homeInput" />
						<input type="hidden"                name="action"        value="search" />
						<input type="submit" class="button" name="refreshbutton" value="<%= resourceBundle.getString("GUIShowNoteBackSearchResult")%>" />
					</form>
				</td> 
			<% } %> 
			</tr>
		</table>
	<%  } else {
		out.print("--> Fehler: Notiz wurde nicht ausgewhlt ");
	} %>

<jsp:include page="includes/footer.jsp" />