﻿-- phpMyAdmin SQL Dump
-- version 2.7.0-pl1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Erstellungszeit: 12. Oktober 2007 um 15:24
-- Server Version: 5.0.27
-- PHP-Version: 5.2.1
-- 
-- Datenbank: `db_notizverwaltung`
-- 
CREATE DATABASE `db_notizverwaltung` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE db_notizverwaltung;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `category`
-- 

CREATE TABLE `category` (
  `CategoryID` int(10) unsigned NOT NULL auto_increment,
  `ParentID` int(10) unsigned default NULL,
  `Name` text NOT NULL,
  PRIMARY KEY  (`CategoryID`),
  KEY `FK_ParentID` (`ParentID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=23 ;

-- --------------------------------------------------------

-- 
-- Constraints der Tabelle `category`
-- 

ALTER TABLE `category`
  ADD CONSTRAINT `FK_ParentID` FOREIGN KEY (`ParentID`) REFERENCES `category` (`CategoryID`) ON DELETE CASCADE ON UPDATE CASCADE;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `noteversion`
-- 

CREATE TABLE `noteversion` (
  `NoteID` int(10) unsigned NOT NULL,
  `VersionID` int(10) unsigned NOT NULL,
  `Title` text NOT NULL,
  `Author` int(10) unsigned NOT NULL,
  `Text` text NOT NULL,
  `Date` datetime NOT NULL,
  `Keyword` text NOT NULL,
  PRIMARY KEY  USING BTREE (`NoteID`,`VersionID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 PACK_KEYS=1;


-- --------------------------------------------------------

-- 
-- Tabellenstruktur für Tabelle `user`
-- 

CREATE TABLE `user` (
  `UserID` int(10) unsigned NOT NULL auto_increment,
  `Nickname` varchar(45) NOT NULL,
  `Password` varchar(45) NOT NULL,
  PRIMARY KEY  (`UserID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;
