package controller;

import java.util.HashMap;
import java.util.Map;

/*
 * Created on 12.10.2007
 */

public class ActionMap {
	
	private static final Map<String, AbstractNoteAction> myHashMap = new HashMap<String, AbstractNoteAction>();
	
	static {
		putIntoHashMap(new ResetAction());
		putIntoHashMap(new DeleteFromTableAction());
		putIntoHashMap(new DeleteOptionPaneAction());
		putIntoHashMap(new EditAction());
		putIntoHashMap(new OpenAction());
		putIntoHashMap(new ExitAction());
		putIntoHashMap(new PrintAction());
		putIntoHashMap(new NewNoteAction());
		putIntoHashMap(new CreateAction());
		putIntoHashMap(new MenuSearchAction());
		putIntoHashMap(new InfoAction());
	}
	
	public static AbstractNoteAction getAction(String action){
		return (AbstractNoteAction) myHashMap.get(action);
	}
	
	public static void putIntoHashMap(AbstractNoteAction action){
		myHashMap.put(action.getKeyName(), action);
	}
}
