package controller;

import gui.MainGuiFrame;
import gui.SearchNote;

import java.awt.event.ActionEvent;

@SuppressWarnings("serial")
public class MenuSearchAction extends AbstractNoteAction {

	SearchNote searchNote;
	MainGuiFrame mainGui;
		
	public MenuSearchAction(){
		super("menuSearch", true);
	}
		
	public void setSearchNote(SearchNote sn){
		searchNote = sn;
	}
	
	
	public void setMainGuiReference(MainGuiFrame mainGuiRef){
		mainGui = mainGuiRef;
	}

	public void actionPerformed(ActionEvent ae) {
		mainGui.setActiveTab(searchNote);
	}
}


