/*
 * Name: EditNoteAction.java
 * Version: 1.0
 * Beschreibung: Die Klasse EditNoteAction.java, die nach showNote.jsp aufgerufen wird
 * und dazu dient, ein Notizobjekt zu �ndern.
 * 
 */
package controller.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import model.ModelImplementation;
import model.ModelInterface;

public class EditNoteAction extends Action {

	@Override
	public String execute(HttpServletRequest request, HttpServletResponse response) {
		if (request.getSession().getAttribute("actualNote") != null) {
			ModelInterface mi = ModelImplementation.getInstance();
			request.setAttribute("categoryList", mi.getCategoryList());
			return "editNote";
		}
		else {
			return "home";
		}
	}
}
