/*
 * Name: HomeAction.java
 * Version: 1.0
 * Beschreibung: Die Klasse HomeAction.java, die nach der LoginAction.java aufgerufen wird
 * und dazu dient, auf die Home Seite zu gelangen.
 * 
 */
package controller.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


import model.ModelImplementation;
import model.ModelInterface;

public class HomeAction extends Action {


	@Override
	public String execute(HttpServletRequest request, HttpServletResponse response) {
		return staticHomeMethod(request);
	}

	static String staticHomeMethod(HttpServletRequest request) {
		request.getSession().setAttribute("actualNote", null);
		request.getSession().setAttribute("searchCriteria", null);
	
		ModelInterface mi = ModelImplementation.getInstance();
		request.setAttribute("categoryList", mi.getCategoryList());
		
		return "home";
	}

}
