package gui;

import java.util.ResourceBundle;

import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;

import controller.ActionMap;

@SuppressWarnings("serial")
public class NoteMenuBar extends JMenuBar {

	static ResourceBundle rb = ResourceBundle.getBundle("gui.ResourcesNotemanager");
	
	public NoteMenuBar(){
			
		JMenu firstMenu = new JMenu(rb.getString("menu"));
			
		//Underpoints for the first Menu
		JMenuItem pointOne = new JMenuItem (ActionMap.getAction("newNote"));
		JMenuItem pointTwo = new JMenuItem (ActionMap.getAction("menuSearch"));
		JMenuItem pointThree = new JMenuItem (ActionMap.getAction("print"));
		JMenuItem pointFour = new JMenuItem ("History");
		JMenuItem pointFive = new JMenuItem (ActionMap.getAction("exit"));
		
		firstMenu.setMnemonic('i');
		
		ActionMap.getAction("print").setEnabled(false);
		pointFour.setEnabled(false);
		
		firstMenu.add(pointOne);
		firstMenu.add(pointTwo);
		firstMenu.addSeparator();
		firstMenu.add(pointThree);
		firstMenu.add(pointFour);
		firstMenu.addSeparator();
		firstMenu.add(pointFive);
		
		JMenu infoMenu = new JMenu("?");
		JMenuItem info = new JMenuItem(ActionMap.getAction("info"));
		//TODO Actionclass fr about erstellen!
		
		infoMenu.add(info);
		this.add(firstMenu);
    	this.add(infoMenu);    		
	}
}
