package model;

import java.util.Collection;

/*
 * Created on 12.10.2007
 */

public interface ModelInterface {

	public boolean createNote(Note note);
	public Collection<Note> searchNote(SearchCriteria criteria);
	public boolean createUser(User user);
	public boolean deleteNote(Note note, boolean myBoolean);
	public User login(String nick, String pw);
	public int saveNote(Note note);
	public Category getRootCategory();
	public boolean startDoLogin(String nickname, String password);
	public void startDoRegistration(String user, String password);
	public Note startGetSimpleNote(int noteID, int versionID);
	public int getUserIDByUsername(String username);
	public boolean setNoteInactive(int noteID);
	public Collection getCategoryList();
}
