package sql;

import java.util.Collection;

import model.*;

public interface SQL {

	public boolean createNote(Note n);
	public Collection<Note> searchNote(SearchCriteria s);
	public boolean deleteNote(Note n, boolean myBoolean);
	public int saveNote (Note n);
	public Category getRootCategory();
	public boolean doLogin(String nickname, String password);
	public void doRegister(String user, String password);
	public Note getSimpleNote(int noteID, int versionID);
	public int getUserIDByUsername(String username);
	public boolean setNoteInactive(int noteID);
	public Collection getCategoryList();
	
}
