<%@page import="java.util.HashMap"%>
<%@page import="model.Note"%>
<%@page import="java.util.Collection"%>
<%@page import="model.Category"%>

<% java.util.ResourceBundle resourceBundle = (java.util.ResourceBundle) request.getAttribute("resBundle");%>
<% request.setAttribute("title", resourceBundle.getString("GUIEditNoteMainTitle")); %>

<jsp:include page='includes/header.jsp'/>

<script language="javascript">
	function hideButton(){
		var title       = document.getElementById("title").value;
		var fulltext    = document.getElementById("fulltext").value;
		var button      = document.getElementById("button");
		button.disabled = (title == "" && fulltext == "");	
	}
</script>

	<%
		Note note = (Note) session.getAttribute("actualNote");
		if (note != null) {
		Collection<Category> myCollection =(Collection<Category>)(request.getSession().getAttribute("categoryList"));
		Category cat = null;
		for(Category c:myCollection){
			if(c.getDbID() == note.getSingleCategoryID()){
				cat=c;
				break;
			}
		}
	%>

			<h5><%
			if (request.getAttribute("errorMap") != null) {
				if (((HashMap) request.getAttribute("errorMap")).get("editErr") != null) {
					out.println(((HashMap) request.getAttribute("errorMap")).get("editErr"));
				}
			} 
			%></h5>
			
			<form action='' method='POST' onLoad="hideButton()">
				<table border='0' width="565">
					<tr>
						<td><b><%= resourceBundle.getString("GUIEditNoteTitle") %></b></td>
						<td><b><%= resourceBundle.getString("GUIEditNoteKeyWord") %></b></td>
						<td><b><%= resourceBundle.getString("GUIEditNoteCategory") %></b></td>
					</tr>
					<tr>
						<td><input type="text" id="title" name="title" maxlength="50" value="<%=note.getTitle()%>" size="25" onkeyup="hideButton()" /></td>
						<td><input type="text" name="keyword" maxlength="50" value="<%=note.getKeyword()%>" size="25" /></td>
						<td>
							<select name="categoryList" size="1">
							<% for(model.Category categoryName:(java.util.ArrayList<model.Category>)(request.getAttribute("categoryList"))){ 
								if(categoryName.getDbID() == note.getSingleCategoryID()){%>
									<option selected value="<%= categoryName.getDbID() %>"><%= categoryName.getName() %></option>
								<%}else{%><option value="<%= categoryName.getDbID() %>"><%= categoryName.getName() %></option>
							<% }}%>
							</select>
						</td>
					</tr>
					<tr>
						<td colspan="2"><b><%= resourceBundle.getString("GUIEditNoteNote") %></b></td>
					</tr>
					<tr>
						<td colspan="2">
							<textarea name="fullText" id="fulltext" cols="46" rows="9" onkeyup="hideButton()"<%
								if (request.getAttribute("errorMap") != null) {
									if (((HashMap) request.getAttribute("errorMap")).get("text") != null) {
										out.println("style=' border-color: red; border-width: 1pt; border-style: solid;' ");
									}
								}%>><%
								if (note.getFullText() != null) {
									out.print(note.getFullText());
								}%></textarea>
						</td>
					</tr>
				</table>
				<input type="hidden" name="cmd" value="saveNote"/>
				<input type="hidden" name="iseditnote" value="true"/>
				<input type="submit" class="button" id="button" name="save" value="<%= resourceBundle.getString("GUIEditNoteButtonSave")%>"/>
				<input type="submit" class="button" name="cancel" value="<%= resourceBundle.getString("GUIEditNoteButtonCancel")%>"/>
			</form>
	<%  }
	    else { 
	   	  out.print("Keine Notiz ausgew&auml;hlt");
	    } %>
	
<jsp:include page='includes/footer.jsp'/>