use `db_notizverwaltung`;

-- 
-- Daten für Tabelle `category`
-- 

DELETE FROM category;

INSERT INTO `category` (`CategoryID`, `ParentID`, `Name`) VALUES
(1,		NULL,	'keine Kategorie'),
(2,		NULL,	'...'),
(3,		2,		'Informatik'),
(4,		2,		'Wirtschaft'),
(5,		2,		'Tiere'),
(6,		3,		'Hardware'),
(7,		3,		'Software'),
(8,		3,		'Internet'),
(9,		4,		'Hund'),
(10,	4,		'Katze'),
(11,	2,		'Sport'),
(12,	11,		'Hockey'),
(13,	12,		'Eishockey'),
(14,	12,		'Unihockey'),
(15,	11,		'Fussball'),
(16,	5,		'Fisch'),
(17,	2,		'Diverses');


-- --------------------------------------------------------

--
-- Daten für Tabelle `noteversion`
--

DELETE FROM noteversion;

INSERT INTO `noteversion` (`NoteID`, `VersionID`, `Title`, `Author`, `Text`, `Date`, `Keyword`, `IsNewest`) VALUES
(1,	1,	'Fisch',		3,	'Hai-Fisch was willst du Thun-Fisch du hast die Wahl-Fisch',	'2008-09-08 10:00:00',		'Haifisch, Thunfisch, Wahlfisch',		1),
(2,	1,	'Sport',		5,	'Sportschau ansehen',	'2008-09-08 10:00:00',		'Sport',		1),
(3,	1,	'PC',			6,	'Computer neu aufsetzen',	'2008-09-08 10:00:00',		'PC, Computer',		1),
(4,	1,	'Medikamente',	7,	'Medikamente einnehmen',	'2008-09-08 10:00:00',		'Medis',		1),
(5,	1,	'Geburtstag',	1,	'Geburtstag Hans morgen',	'2008-09-08 10:00:00',		'Hans, Geburtstag',		1),
(6,	1,	'Einkauf',		2,	'Milch, Brot, Butter, Obst, Gemüse, Spaghetti, Steak',	'2008-09-08 10:00:00',		'Lebensmittel',		1),
(7,	1,	'Rückruf',		4,	'Peter zurückrufen',	'2008-09-08 10:00:00',		'Telefon',		1),
(8,	1,	'Kuchen',		2,	'Kuchen mitbringen',	'2008-09-08 10:00:00',		'backen, Kuchen',		1),
(9,	1,	'Hausaufgaben',	7,	'Mathe Prüfung, RW Aufgabe 6.1 + 6.2',	'2008-09-08 10:00:00',		'Prüfung, Mathe, RW',		1);


-- --------------------------------------------------------

--
-- Daten für Tabelle `user`
--

DELETE FROM user;

INSERT INTO `user` (`UserID`, `Nickname`, `Password`) VALUES
(1, 'kened.matici',			md5('kened.matici')),
(2, 'valentin.grötsch',		md5('valentin.grötsch')),
(3, 'fabian.schumann',		md5('fabian.schumann')),
(4, 'roy.holliger',			md5('roy.holliger')),
(5, 'adrian.grenacher',		md5('adrian.grenacher')),
(6, 'michael.koller',		md5('michael.koller')),
(7, 'chantal.traber',		md5('chantal.traber')),
(8, 'a',					md5('a'));


-- --------------------------------------------------------

--
-- Daten für Tabelle `note_category`
--

DELETE FROM note_category;

INSERT INTO `note_category` (`FK_NoteID`, `FK_CategoryID`, `FK_NoteVersionID`) VALUES
(1, 16, 1),
(2, 11, 2),
(3, 6,  3),
(4, 17, 4),
(5, 17, 5),
(6, 17, 6),
(7, 17, 7),
(8, 17, 8),
(9, 17, 9);
