/*
 * Name: LogoutAction.java
 * Version: 1.0
 * Beschreibung: Die Klasse LogoutAction.java, die nach Klick auf den Button Logout 
 * aufgerufen wird und dazu dient, den Benutzer auszuloggen.
 * 
 */
package controller.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class LogoutAction extends Action {

	@Override
	public String execute(HttpServletRequest request,
			HttpServletResponse response) {
		request.getSession().setAttribute("username", null);
		request.getSession().invalidate();
		return "login";
	}

}
