/*
 * Name: ShowNoteAction.java
 * Version: 1.0
 * Beschreibung: Die Klasse ShowNoteAction.java, die nach searchResult.jsp aufgerufen wird
 * und dazu dient, die Vorschau einer Notiz anzuzeigen.
 * 
 */
package controller.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import model.ModelImplementation;
import model.ModelInterface;
import model.Note;

public class ShowNoteAction extends Action{

	public String execute(HttpServletRequest request, HttpServletResponse response) {

		if (request.getParameter("DBID") != null && request.getParameter("versionID") != null) {
			ModelInterface mi = ModelImplementation.getInstance();
			Note simpleNote =  mi.startGetSimpleNote(
					Integer.parseInt(request.getParameter("DBID")), 
					Integer.parseInt(request.getParameter("versionID"))
			);

			request.getSession().setAttribute("actualNote", simpleNote);
			return "showNote";
		}
		else {
			return "home";
		}
	}	
}