package gui;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTree;

import model.Category;
import model.ModelImplementation;
import model.ModelInterface;

@SuppressWarnings("serial")
public class CategoryPanel extends JPanel {

	public CategoryPanel(Category root) {
		@SuppressWarnings("unused")
		Category rootCategory = root;
		
		CategoryTreeModel catTModel = new CategoryTreeModel(root);
		JTree tree = new JTree(catTModel);
		
		setLayout(new BorderLayout());
		add(new JScrollPane(tree), BorderLayout.CENTER);		
	}

	
	public static void main(String[] args) {
//		Category root = new Category();
//		Category child1 = new Category();
//		child1.setName("CHild 1");
//		root.setName("TOp level");
//		root.addChild(child1);
		
		ModelInterface mi = ModelImplementation.getInstance();
		Category root = mi.getRootCategory();
		JFrame j = new JFrame();
		j.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		j.add(new CategoryPanel(root));
		j.setSize(200,200);
		j.setVisible(true);
		
	}
	
}
