package model;

import java.util.ArrayList;
import java.util.Collection;

public class AbstractNote {

	private String title;
	private String author;
	private int authorID;
	private String keyword;
	private String fullText;
	private Collection<?> categories;
	private int singleCategoryID;
	
	
	public int getSingleCategoryID() {
		return singleCategoryID;
	}
	public void setSingleCategoryID(int singleCategorieID) {
		this.singleCategoryID = singleCategorieID;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public Collection<?> getCategories() {
		return categories;
	}
	
	@SuppressWarnings("unchecked")
	public String getCategoriesString() {
		String categoryField = "";
		if (getCategories() != null) {
			ArrayList<?> categories = new ArrayList();
			for (int i = 0; i < categories.size(); i++) {
				if (i > 0) {
					categoryField += ", ";
				}
				categoryField += categories.get(i);
			}
			return categoryField;
		}
		return "";
	}
	public void setCategories(Collection<?> categories) {
		this.categories = categories;
	}
	public String getFullText() {
		return fullText;
	}
	public void setFullText(String fullText) {
		this.fullText = fullText;
	}
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public int getAuthorID() {
		return authorID;
	}
	public void setAuthorID(int authorID) {
		this.authorID = authorID;
	}

	
}


