package model;

import java.text.SimpleDateFormat;
import java.util.Collection;
import java.util.Date;

public class Note extends AbstractNote{

	private int isNewest;
	private Date date;
	private int DBID = 0;
	private int VersionID = 1;
	private SimpleDateFormat formatWithSeconds = new SimpleDateFormat("dd.MM.yyyy HH:mm:ss");
	private SimpleDateFormat formatWithoutSeconds = new SimpleDateFormat("dd.MM.yy HH:mm");
	
	public boolean isActual(){
		boolean actual = false;
				
		return actual;
	}

	public Date getDate() {
		return date;
	}
	
	public String getDateString() {
		return formatWithSeconds.format(getDate());
	}
	
	public String getDateStringShort() {
		return formatWithoutSeconds.format(getDate());
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public int getDBID() {
		return DBID;
	}

	public void setDBID(int dbid) {
		DBID = dbid;
	}

	public int getVersionID() {
		return VersionID;
	}

	public void setVersionID(int versionID) {
		VersionID = versionID;
	}

	public int getIsNewest() {
		return isNewest;
	}

	public void setIsNewest(int isNewest) {
		this.isNewest = isNewest;
	}
	
	public String getSingleCategoryName(Collection<Category> catList){
		Category cat = null;
		for(Category c:catList){
			if(c.getDbID() == this.getSingleCategoryID()){
				cat=c;
				break;
			}
		}
		
		String catName = "Kategorie unbekannt";
		if(cat != null)
		{
			catName = cat.getName();
		}
		
		return catName;
	}
}
