package sql;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

public class DAO {

	Statement stmt = null;
	DBConnectionManager ref = DBConnectionManager.getInstance();
	
	public Connection getConnection(){
		Connection c = ref.getConnection("db_notizverwaltung");
		return c;
	}
	
	public void putConnection(Connection c){
		ref.putConnection("db_notizverwaltung", c);
	}
	
	public void lastCommitState(Connection c) throws SQLException {
		c.setAutoCommit(false);
		c.commit();
		// --- Läuft der Code noch mit folgendem Methodenaufruf?
		// c.setAutoCommit(true);
		stmt.close();
	}
	
	public boolean errorQuery(Connection c, SQLException ex){
		try {
			ex.printStackTrace();
			c.rollback();
			stmt.close();
			return true;
		} catch (SQLException e) {
			e.printStackTrace();
			System.out.println("DAO.errorQuery Fehler: " + e.getMessage());
			return false;
		}
	}
}
