package sql;

import java.sql.Connection;
import java.sql.SQLException;

import model.Note;

public class DeleteDAO extends DAO{
	
	private String deleteStatement;
	Connection c;	
	
	public boolean deleteNote(Note myNote, boolean myBoolean) {
		c = this.getConnection();
		try{		
			return executeDeleteStatement(myNote, myBoolean);
		}
		catch(SQLException ex){
			return errorQuery(c, ex);
		}
		finally{
			this.putConnection(c);
		}
	}
	
	public boolean setNoteInactive(int noteID){
		c = this.getConnection();
		try{
			stmt = c.createStatement();
			deleteStatement = "UPDATE noteversion SET IsNewest = 0 WHERE NoteID = "+ noteID;
			return commitQuery();
		} catch(SQLException ex){
			return errorQuery(c, ex);
		} finally {
			this.putConnection(c);
		}
	}

	private boolean executeDeleteStatement(Note myNote, boolean myBoolean) throws SQLException {
		c = this.getConnection();
		stmt = c.createStatement();
		if(myBoolean){
			deleteStatement ="DELETE FROM noteversion WHERE NoteID = " + myNote.getDBID();
		}else{
			deleteStatement ="DELETE FROM noteversion WHERE NoteID = " + myNote.getDBID() + " AND VersionID = " + myNote.getVersionID();
		}
		
		this.putConnection(c);
		
		return commitQuery();
	}

	private boolean commitQuery() throws SQLException {
		c = this.getConnection();
		stmt.executeUpdate(deleteStatement);
		lastCommitState(c);
		this.putConnection(c);
		return true;
	}
}
